Skip to main content
`Ctrl`+`K`

# MFNSetDimensions

Sets the dimension of the subspace to be used by the solver.

## Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetDimensions(MFN mfn,PetscInt ncv)

Logically Collective

## Input Parameters

- mfn - the matrix function solver context

- ncv - the maximum dimension of the subspace to be used by the solver

## Options Database Key

- -mfn_ncv ncv - sets the dimension of the subspace

## Notes

Use `PETSC_DETERMINE` for `ncv` to assign a reasonably good value, which is dependent on the solution method.

## See Also

MFN: Matrix Function, `MFNGetDimensions()`

## Level

intermediate

## Location

src/mfn/interface/mfnopts.c

Index of all MFN routines Table of Contents for all manual pages Index of all manual pages